使用技巧

如何修复WordPress出现”Cannot modify header information”错误

今天在调试WordPress主题的时候有在页面中出现”Warning: Cannot modify header information – headers already sent by” 错误提示问题,看来估计是插件或者主题兼容有一些问题,于是翻阅相关问题找找到底是哪里的问题。这里我切换其他主题没有问题,可见问题在当前的主题中。

于是我先卸载所有的插件,然后再当前主题激活状态下还是看到有错误。那可以断定是主题存在的问题。

1、编码冲突问题

这里看到网上有提到这个错误,是因为UTF-8编码冲突问题。所以我将当前主题的几个主要文件,全部重新用记事本打开,然后重新另存为新的UTF-8编码。

2、ob_start()函数问题

这里看到有网站提到的解决办法是:

add_action('init', 'do_output_buffer');
function do_output_buffer() {
	ob_start();
}

需要添加脚本,然后看看是否有错误。

最后我是通过,在服务器配置中找到php.ini 然后把 output_buffering 中的OFF 改成 ON 重启Appache,看到问题可以解决。